SET_ALARM(1)

NAME
set_alarm, get_alarm, ring_alarm - SunView programmable alarms

SYNOPSIS

set_alarm [ -b number ] [ -f number ] [ -d duration ]

get_alarm

ring_alarm

AVAILABILITY

This command is available with the SunView User's software installation option. Refer to for more information on how to install optional software.

DESCRIPTION

set_alarm sets the WINDOW_ALARM environment variable according to the options specified.

get_alarm returns the setting of WINDOW_ALARM in the form:

    WINDOW_ALARM=setting

ring_alarm performs the actual beeping and flashing of the alarm. Note: the occurrence of the alarm is controlled by the SunView/Visible_Bell and SunView/Audible_Bell settings in defaultsedit(1). If either of these is disabled, the respective feature of the alarm will not occur, regardless of how it is specified by WINDOW_ALARM.

In the C shell, set_alarm echoes the following command to set the WINDOW_ALARM environment variable:

    set noglob;setenv WINDOW_ALARM setting;unset noglob;

In the Bourne shell, set_alarm echos the following:

    export WINDOW_ALARM;WINDOW_ALARM=setting;

Consequently, set_alarm is should be used as follows:

    eval `set_alarm [options]`

OPTIONS

-b number
    Specify the number of beeps. The default is 1.

-f number
    Specify the number of flashes. The default is 1.

-d duration
    Specify the duration of the beep in milliseconds. The default is 1000.

ENVIRONMENT

The SunView programmable alarms use the WINDOW_ALARM environment variable to define the characteristics of the alarm. The variable is set with a string argument of the following form:

    :beeps=b:flashes=f:dur=t:

SEE ALSO
csh(1), defaultsedit(1), sh(1)

DIAGNOSTICS

get_alarm:  the WINDOW_ALARM environment variable is NULL.
    This message is self-explanatory.

ring_alarm: WINDOW_ALARM is NULL; using default values.
    set_alarm was not used to set values for the WINDOW_ALARM environment variable. See OPTIONS for default values.

ring_alarm: WINDOW_ME not found
    Attempted to ring the alarm when SunView is not running.

BUGS and LIMITATIONS

The user must be running SunView in order to ring the alarm; consequently, the alarms cannot be used with Open Windows.